Subject: Re: bug#26126: 26.0.50; file-notify-rm-watch removes arbitrary watches

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Mar 2017 17:17:42 +0300

> From: Andreas Politz <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 25 Mar 2017 09:57:52 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but I have difficulty reading it.  Could you please provide a
> > short legend?
> 
> Sorry, I forgot to do that.
> 
> The first column is the name of the test.  The 2nd lists all watched
> entities mapped to symbolic names.  Further columns list the events for
> specific back ends, which may refer to the same names.

That still leaves a lot of unclear entries there.  maybe it isn't
important.

> >> Finally, I'm tempted to suggest to get rid of the flags argument of
> >> file-notify-add-watch. 
> 
> > The flags are there for the operations where the differences matter.
> 
> When does it matter ?

Why should we care?  That's for the programmer to decide; we just give
them the tools.

> Also: I think in the end we want to add a layer above filenotify.el,
> with the added ability of multiplexing events in a directory to multiple
> watches, watching files in that directory.

That was the original plan, AFAIR, but this facility still has too few
users to try abstracting that higher layer, IMO.